---
title: Chef Habitat 0.67.0 Release!
date: 2018-10-30
author: Christopher Maier
tags: release notes
category: product
classes: body-article
---

Habitat 0.67.0 Release notes

We are happy to announce the release of Chef Habitat 0.67.0. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/install-habitat/).

In this release, we have a new `hab pkg uninstall` command you'll want to check out. More will be coming for this highly-requested command in the coming weeks, but it should help you begin to take control of your `/hab/pkgs` directory.

Aside from that, we have a number of bug fixes, in particular [#5792](https://github.com/habitat-sh/habitat/pull/5792), which fixed a regression from 0.66.0 that resulted in health check information remaining behind after a service was unloaded.

Thanks again for using Chef Habitat!

#### New Features & Enhancements
- Add `hab pkg uninstall` command [#5737](https://github.com/habitat-sh/habitat/pull/5737) ([jamesc](https://github.com/jamesc))

#### Bug Fixes
- Remove health check data when a service is unloaded [#5792](https://github.com/habitat-sh/habitat/pull/5792) ([raskchanky](https://github.com/raskchanky))
- Add the possible values for --topology into the online help [#5789](https://github.com/habitat-sh/habitat/pull/5789) ([baumanj](https://github.com/baumanj))
- Ensure we have the correct ContentType on our responses [#5782](https://github.com/habitat-sh/habitat/pull/5782) ([raskchanky](https://github.com/raskchanky))
- Store port values as u16 in Member struct [#5759](https://github.com/habitat-sh/habitat/pull/5759) ([baumanj](https://github.com/baumanj))
- implement HAB_STUDIO_SECRET var passing for windows studios [#5765](https://github.com/habitat-sh/habitat/pull/5765) ([mwrock](https://github.com/mwrock))

#### Merged Pull Requests
- Prepare for 0.67.0 Release [#5795](https://github.com/habitat-sh/habitat/pull/5795) ([christophermaier](https://github.com/christophermaier))
- Shelving composites post [#5740](https://github.com/habitat-sh/habitat/pull/5740) ([mgamini](https://github.com/mgamini))
- fix asp.net tutorial based on recent changes [#5788](https://github.com/habitat-sh/habitat/pull/5788) ([mwrock](https://github.com/mwrock))
- move doc commit filtering to ci script [#5785](https://github.com/habitat-sh/habitat/pull/5785) ([mwrock](https://github.com/mwrock))
- Add macro for cli testing [#5754](https://github.com/habitat-sh/habitat/pull/5754) ([mpeck](https://github.com/mpeck))
- remove -w parameter for invoking a local studio in internal calls [#5773](https://github.com/habitat-sh/habitat/pull/5773) ([mwrock](https://github.com/mwrock))
- Remove unused function and update error message [#5764](https://github.com/habitat-sh/habitat/pull/5764) ([chefsalim](https://github.com/chefsalim))
- Add myself to MAINTAINERS.md [#5755](https://github.com/habitat-sh/habitat/pull/5755) ([jamesc](https://github.com/jamesc))
- Remove Liz from CLI related code owners [#5776](https://github.com/habitat-sh/habitat/pull/5776) ([apriofrost](https://github.com/apriofrost))
- Fix unused variable in rumor test [#5763](https://github.com/habitat-sh/habitat/pull/5763) ([jamesc](https://github.com/jamesc))
- install and upload launcher builds if not a release [#5769](https://github.com/habitat-sh/habitat/pull/5769) ([mwrock](https://github.com/mwrock))
- 0.66.0 post release [#5775](https://github.com/habitat-sh/habitat/pull/5775) ([mpeck](https://github.com/mpeck))
